const app = getApp()
import { Base } from '../../utils/base';
import apiList from '../../utils/apiList';
const base = new Base()
Page({
	data: {
		telphone: ''
	},
	onLoad: function (options) {

	},
	// getPhoneNumber: function(e){
	//     if(e.detail.errMsg == 'getPhoneNumber:ok'){
	//         wx.request({
	//             url: 'https://new.open.xueyoubangedu.com/openxcx/auth',
	//             data: {
	//                 code: code,
	//                 app_type: 'repair',
	//                 authorizer_appid: "wx4c343d3425b433cc"
	//             },
	//             success: function (res) {
	//                 if (res.data.code === 200) {
	//                     wx.setStorageSync('token', res.data.data.token)
	//                     that.globalData.token = res.data.data.token
	//                     // login
	//                     wx.request({
	//                         url: that.globalData.globalUrl + '/api/v1.0/login',
	//                         data: {
	//                             token: res.data.data.token
	//                         },
	//                         method: 'GET',
	//                         success: function (res) {
	//                             if (res.data.meta.code === 200) {
	//                                 wx.setStorageSync('token', res.data.data.token)
	//                                 that.globalData.first_token = res.data.data.token
	//                                 typeof cb == "function" && cb()
	//                             } else {
	//                                 wx.showToast({
	//                                     title: res.data.meta.message,
	//                                     icon: 'none'
	//                                 })
	//                             }
	//                         }
	//                     })

	//                 } else {
	//                     console.log(res)
	//                 }
	//             }
	//         }),
	//     }else{
	//         base.toast('授权失败，无法查看')
	//     }

	// },

	getPhoneNumber: function (e) {
		console.log('绑定手机号的', e)
		if (e.detail.errMsg == 'getPhoneNumber:ok') {
			wx.request({
				url: 'https://new.open.xueyoubangedu.com/openxcx/switchPhone',
				data: {
					authorizer_appid: 'wx4c343d3425b433cc',
					encryptedData: e.detail.encryptedData,
					iv: e.detail.iv,
					token: app.globalData.token
				},
				method: 'POST',
				success: function (res) {
					console.log(res, 11111111)
					if (res.data.meta.code === 200) {
						let params = {
							url: apiList.firstSave_phone,
							data: {
								user_phone: res.data.data.phoneNumber
							},
							type: 'POST',
							callback: (data) => {
								app.globalData.userTel = res.data.data.phoneNumber
								try {
									wx.setStorageSync('userTel', res.data.data.phoneNumber)
								} catch (e) { }
								if (app.globalData.backurl) {
									if (app.globalData.backurl.indexOf('/pages/tabbar/index/index') != -1 || app.globalData.backurl.indexOf('/pages/tabbar/my/my') != -1) {
										wx.switchTab({
											url: app.globalData.backurl,
										})
									} else {
										wx.redirectTo({
											url: app.globalData.backurl
										})
									}
								} else {
									wx.switchTab({
										url: '/pages/my/my',
									})
								}
							}

						}
						base.newRequest(params)
					}
				}
			})
		} else {
			base.toast('授权失败，无法查看')
		}
	}
})